> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bulk Payment Batch by ID

Get detailed information about a specific bulk payment batch.


## OpenAPI

````yaml GET /api/v3/dashboard/bulk-payments/api/batches/{batchId}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/dashboard/bulk-payments/api/batches/{batchId}:
    get:
      tags:
        - API Bulk Payments
      summary: Get bulk payment batch by ID
      operationId: ApiBulkPaymentsController_getBatchById_api/v3
      parameters:
        - name: batchId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Bulk payment batch retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkPaymentDetailsResponseDto'
      security:
        - bearer: []
components:
  schemas:
    BulkPaymentDetailsResponseDto:
      type: object
      properties:
        id:
          type: string
          description: Payment ID
        recipientName:
          type: string
          description: Recipient name
        recipientEmail:
          type: string
          description: Recipient email
        recipientPhone:
          type: string
          description: Recipient phone
        amount:
          type: number
          description: Payment amount
        currency:
          type: string
          description: Currency
          enum:
            - KES
            - GHS
            - NGN
            - ZAR
            - ZAR
            - USD
            - XOF
            - ZMW
            - XAF
            - SLE
            - CDF
            - TZS
            - UGX
            - EGP
            - MWK
            - RWF
            - ETB
            - MZN
            - LSL
            - GNF
            - USDT
            - BTC
            - ETH
            - USDC
        reference:
          type: string
          description: Payment reference
        status:
          type: string
          description: Payment status
        customerKey:
          type: string
          description: Customer key if created
        withdrawalId:
          type: string
          description: Withdrawal ID if processed
        errorMessage:
          type: string
          description: Error message if failed
        createdAt:
          format: date-time
          type: string
          description: Created date
      required:
        - id
        - recipientName
        - recipientEmail
        - recipientPhone
        - amount
        - currency
        - reference
        - status
        - createdAt

````